Page MenuHomePhabricator

Correct documentation for the referer_class field in pageview_hourly
Closed, ResolvedPublic1 Story Points

Description

This table's description was never updated after we changed the field's definition to distinguish between search engines and other domains for external referrers, and to distinguish "none" and "unknown":

$ DESCRIBE wmf.pageview_hourly
col_name	data_type	comment
...
referer_class	string	Can be internal, external or unknown
...

vs.

SELECT DISTINCT referer_class FROM wmf.pageview_hourly WHERE year = 2018 AND month = 3 AND day = 22;

referer_class
unknown
internal
external (search engine)
none
external

TODO:

  • - Provide patch in schema definition
  • - Update production table and doc.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 9:42 PM
fdans assigned this task to JAllemandou.Mar 26 2018, 3:58 PM
fdans triaged this task as Unbreak Now! priority.
fdans added a project: Analytics-Kanban.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 26 2018, 3:58 PM

Change 421940 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/refinery@master] Correct pageview_hourly referer_class comment

https://gerrit.wikimedia.org/r/421940

JAllemandou updated the task description. (Show Details)Mar 26 2018, 4:29 PM
JAllemandou moved this task from In Progress to In Code Review on the Analytics-Kanban board.
Nuria added a subscriber: Nuria.Mar 26 2018, 5:54 PM

Note that this change will update table docs on code but not in hive meta store, for latest docs : https://wikitech.wikimedia.org/wiki/Analytics/Data_Lake/Traffic/Pageview_hourly

Change 421940 merged by Joal:
[analytics/refinery@master] Correct pageview_hourly referer_class comment

https://gerrit.wikimedia.org/r/421940

JAllemandou set the point value for this task to 1.Mar 26 2018, 6:08 PM
JAllemandou moved this task from In Code Review to Ready to Deploy on the Analytics-Kanban board.
JAllemandou updated the task description. (Show Details)Mar 28 2018, 5:58 PM
JAllemandou moved this task from Ready to Deploy to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Mar 29 2018, 10:59 PM